
package de.ivu.elect.presentation.ergebnis.table;

import de.ivu.elect.business.ergebnis.entity.Sitze;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.gruppe.table.AbstractGruppeColumn;

public class SitzeGruppeKurznameColumn extends AbstractSitzeColumn<Sitze> {

  private static final long serialVersionUID = 1L;

  private final AbstractGruppeColumn<Gruppe> gruppeKurznameColumn;

  protected SitzeGruppeKurznameColumn(Messages messages) {
    super("Sitze-GruppeKurzname", messages, null, null, null);

    this.gruppeKurznameColumn = AbstractGruppeColumn.createGruppeKurznameColumn(messages);
  }

  @Override
  public ColumnType getType() {
    return gruppeKurznameColumn.getType();
  }

  @Override
  public String getHeader() {
    return gruppeKurznameColumn.getHeader();
  }

  @Override
  public Object getValue(Sitze sitze) {
    return gruppeKurznameColumn.getDisplayValue(sitze.getGruppe());
  }
}
